## org.eclipse.datatools.sqltools.core.profile
Interface ISQLToolsProfileListener

public interface ISQLToolsProfileListener

Defined for SQL Dev Tools, the implementor will be notified when profile events occur, all classes in SQL Dev Tools which need to be notified when profile events occur should implement this interface (instead of IProfileListener, IProfileListener1) and register as an observer of `SQLToolsProfileListenersManager`

Author:
  Idull

Method Summary
`void` `profileAdded(IConnectionProfile profile)` Will be notified when a new profile is added
`void` `profileChanged(IConnectionProfile profile, java.lang.String oldName, java.lang.String oldDesc, java.lang.Boolean oldAutoConnect, boolean onlyNameChanged, ConnectProfile oldProfile)` Will be notified when a profile is changed
`void` `profileDeleted(IConnectionProfile profile)` Will be notified when a profile deleted

Method Detail

### profileDeleted

    public void profileDeleted(IConnectionProfile profile)

  Will be notified when a profile deleted

  Parameters:
    `profile` - the connection profile instance

### profileAdded

    public void profileAdded(IConnectionProfile profile)

  Will be notified when a new profile is added

  Parameters:
    `profile` - the connection profile instance

### profileChanged

    public void profileChanged(IConnectionProfile profile,
                               java.lang.String oldName,
                               java.lang.String oldDesc,
                               java.lang.Boolean oldAutoConnect,
                               boolean onlyNameChanged,
                               ConnectProfile oldProfile)

  Will be notified when a profile is changed

  Parameters:
    `profile` - the profile instance (after changed)
    `oldName` - the old name of the profile (The name may be changed)
    `oldDesc` - the old description of the profile
    `oldAutoConnect` - the old autoconnect property of the profile
    `onlyNameChanged` - TODO
    `oldProfile` - TODO

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.